Skip to content

GET /api/v3/agencies/constants/agency-classes

Summary

GET /agencies/constants/agency-classes

Description

Return a list of agency classes. * @authenticated

Tags: agencies

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • agency_classes (array)
  • Array items: object Type: object

    Properties:

    • class (string)
    • class_description (string)
Example Response
{
    "success": true,
    "agency_classes": [
        {
            "class": "App\\LuCore\\Agencies\\AdAgencyClass",
            "class_description": "Ad Agency"
        },
        {
            "class": "App\\LuCore\\Agencies\\DSPAgencyClass",
            "class_description": "DSP"
        },
        {
            "class": "App\\LuCore\\Agencies\\GenericAgencyClass",
            "class_description": "Generic"
        },
        {
            "class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
            "class_description": "Operator"
        },
        {
            "class": "App\\LuCore\\Agencies\\SSPAgencyClass",
            "class_description": "SSP"
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/agencies/constants/agency-classes" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/agencies/constants/agency-classes"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/agencies/constants/agency-classes',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/agencies/constants/agency-classes'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

Example Responses

200 Response

{
    "success": true,
    "agency_classes": [
        {
            "class": "App\\LuCore\\Agencies\\AdAgencyClass",
            "class_description": "Ad Agency"
        },
        {
            "class": "App\\LuCore\\Agencies\\DSPAgencyClass",
            "class_description": "DSP"
        },
        {
            "class": "App\\LuCore\\Agencies\\GenericAgencyClass",
            "class_description": "Generic"
        },
        {
            "class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
            "class_description": "Operator"
        },
        {
            "class": "App\\LuCore\\Agencies\\SSPAgencyClass",
            "class_description": "SSP"
        }
    ]
}

← Back to agencies index | Back to main index